Bug 260418 - snap decoration not cleared properly after object placed
Summary: snap decoration not cleared properly after object placed
Status: RESOLVED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: flake (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: T Zachmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-12 20:09 UTC by andrew
Modified: 2012-04-30 14:42 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
stray snap decorations after placement / resize (4.14 KB, image/png)
2009-09-12 20:15 UTC, David Faure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-12-17 19:41:15 UTC


---- Reported by andrew.dorrell@gmail.com 2009-09-12 20:09:01 ----

Version:           2.1 Beta 2 (using 4.3.1 (KDE 4.3.1), Chakra KDE)
Compiler:          gcc
OS:                Linux (i686) release 2.6.30-ARCH

When using snapping a decoration (dashed red line) is added to indicate the snap being used.  After the object is placed this decoration often hangs around or is drawn somewhere incorrectly.  For example:
- Orthogonal snap draws a line linking object edges; after placement the line is cleared around the placed object but remains on the snapped to object.  

In this case the canvas is drawn correctly again after kivio looses focus so this might be an issue in the lower level libs.  However, after a couple of placements, old decorations seem to be redrawn (see attached image.  This makes me think that there is some cleanup step not being correctly done.



---- Additional Comments From andrew.dorrell@gmail.com 2009-09-12 20:15:32 ----

Created an attachment
stray snap decorations after placement / resize



--- Bug imported by faure@kde.org 2010-12-17 19:42  ---

This bug was previously known as bug 207207.

Imported an attachment (id=54879)

The original submitter of attachment 54879 [details] is unknown.
   Reassigning to the person who moved it here: faure@kde.org.

Comment 1 T Zachmann 2012-04-29 05:42:04 UTC
Assign myself
Comment 2 T Zachmann 2012-04-29 06:25:21 UTC
Git commit 6213b81369b108a8650377e9f30e1e2e3d8c1ff5 by Thorsten Zachmann.
Committed on 29/04/2012 at 08:22.
Pushed by zachmann into branch 'master'.

Fix painting artefacts after snapping has be used.

Update the position the snap is shown before and after moving.
Reset the data once the action is finished.
Update the canvas when the interaction is finished so the snap guid is no longer visible.

OK to backport?

M  +6    -0    plugins/defaultTools/defaulttool/ShapeMoveStrategy.cpp
M  +1    -1    plugins/defaultTools/defaulttool/ShapeMoveStrategy.h
M  +9    -0    plugins/defaultTools/defaulttool/ShapeResizeStrategy.cpp
M  +1    -1    plugins/defaultTools/defaulttool/ShapeResizeStrategy.h

http://commits.kde.org/calligra/6213b81369b108a8650377e9f30e1e2e3d8c1ff5
Comment 3 T Zachmann 2012-04-30 14:42:15 UTC
Git commit 0720e83c734a6da98a23b8877283fa1127a71370 by Thorsten Zachmann.
Committed on 29/04/2012 at 08:22.
Pushed by zachmann into branch 'calligra/2.4'.

Fix painting artefacts after snapping has be used.

Update the position the snap is shown before and after moving.
Reset the data once the action is finished.
Update the canvas when the interaction is finished so the snap guid is no longer visible.
Reviewed by: boemann
(cherry picked from commit 6213b81369b108a8650377e9f30e1e2e3d8c1ff5)

M  +6    -0    plugins/defaultTools/defaulttool/ShapeMoveStrategy.cpp
M  +1    -1    plugins/defaultTools/defaulttool/ShapeMoveStrategy.h
M  +9    -0    plugins/defaultTools/defaulttool/ShapeResizeStrategy.cpp
M  +1    -1    plugins/defaultTools/defaulttool/ShapeResizeStrategy.h

http://commits.kde.org/calligra/0720e83c734a6da98a23b8877283fa1127a71370